package org.iphsoft.simon1.stats;

import org.iphsoft.simon1.InGameFacebookActivity;

import android.app.Activity;

public interface IStatistics
{
	public class SettingsInfo
	{
		public String mGraphicModeType;
		public String mGraphicMode;
		public String mVoiceMode;
		public String mMusicMode;
		public String mControlMode;
		public String mLanguage;
	}
	
	public void reportGameStart(SettingsInfo settingsInfo);
		
	public void reportDeviceAndGPU(String device, String gpu);
	
	public void reportActivityStart(Activity activity);
	
	public void reportActivityStop(Activity activity);
	
	public void reportShareClicked();
	
	public void reportAchievementShareClick(int achievementId);
	
	public void reportInGameFacebookDialogState(InGameFacebookActivity.State state);
	
	public void reportFacebookLogin(Activity activity);
	
	public void reportFacebookLogout(Activity activity);
	
	public void reportSuccessfulAchievementPost(int achievementId, String shareMessage);
}
